#!/bin/sh
export PATH='/usr/local/sbin:/usr/local/bin:/usr/bin:/usr/bin/site_perl:/usr/bin/vendor_perl:/usr/bin/core_perl'
echo 'name:                 ral
version:              0.2
visibility:           public
id:                   ral-0.2-BltkXTy9tcs9zXeK22jeCq
key:                  ral-0.2-BltkXTy9tcs9zXeK22jeCq
license:              GPL-2.0-or-later
copyright:            (c) 2019-2021 Oleg Grenrus
maintainer:           Oleg.Grenrus <oleg.grenrus@iki.fi>
author:               Oleg Grenrus <oleg.grenrus@iki.fi>
homepage:             https://github.com/phadej/vec
synopsis:             Random access lists
description:
    This package provides ordinary random access list, '\''RAList'\'', and also
    a length indexed variant, '\''RAVec'\''.

    The data structure allows fast cons-operation (like ordinary list) but also fast random access (like non-functional arrays).

    For @lens@ or @optics@ support see [ral-lens](https://hackage.haskell.org/package/ral-lens) and [ral-optics](https://hackage.haskell.org/package/ral-optics) packages respectively.

    === Similar packages

    This packages don'\''t provide length-indexed variant, and their '\''RAList'\'' has
    opaque structure.

    * https://hackage.haskell.org/package/ralist
    * https://hackage.haskell.org/package/random-access-list

category:             Data, Dependent Types, Singletons
abi:                  cf66bc94e8167c7f5c4a531725b765f8
exposed:              True
exposed-modules:
    Data.RAList Data.RAList.NonEmpty Data.RAList.Tree Data.RAVec
    Data.RAVec.NonEmpty Data.RAVec.Tree Data.RAVec.Tree.DF

hidden-modules:
    Data.RAList.Internal Data.RAList.NonEmpty.Internal
    Data.RAList.Tree.Internal TrustworthyCompat

import-dirs:          /usr/lib/ghc-9.0.1/site-local/ral-0.2
library-dirs:         /usr/lib/ghc-9.0.1/site-local/ral-0.2
dynamic-library-dirs: /usr/lib
data-dir:             /usr/share/x86_64-linux-ghc-9.0.1/ral-0.2
hs-libraries:         HSral-0.2-BltkXTy9tcs9zXeK22jeCq
depends:
    QuickCheck-2.14.2-4xShtyX33BN5pkZj6nk754
    adjunctions-4.4-Bepn3AMHpFZBmGDWnUuc2q base-4.15.0.0
    bin-0.1.1-AqWYDTUU90K7ZB0CIFww7C deepseq-1.4.5.0
    distributive-0.6.2.1-4sl5FWB7wWZJ4iTegtchK2
    fin-0.2-2GPTjsgrZ2x5xbgtD6tqKn
    hashable-1.3.3.0-3L81lU2ygSqqBRC8gEHN5
    indexed-traversable-0.1.1-K0YsJRCif6Q7nMYcYE7GvA
    semigroupoids-5.3.6-47hA1lTQQky3VJbnFsiSuF

haddock-interfaces:   /usr/share/doc/haskell-ral/html/ral.haddock
haddock-html:         /usr/share/doc/haskell-ral/html
' | '/usr/bin/ghc-pkg' 'update' '--force' '-' '--global' '--no-user-package-db' "$@"

